MemStream.cpp File Reference
`#include "grk_includes.h"`

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

static void | grk::free_mem (void *user_data)
static size_t | grk::zero_copy_read_from_mem (uint8_t **buffer, size_t numBytes, void *src)
static size_t | grk::read_from_mem (uint8_t *dest, size_t numBytes, void *src)
static size_t | grk::write_to_mem (const uint8_t *src, size_t numBytes, void *dest)
static bool | grk::seek_from_mem (uint64_t numBytes, void *src)
static void | grk::grk_stream_set_zero_copy_read_function (grk_stream *stream, grk_stream_zero_copy_read_fn func)
| Set the given function to be used as a zero copy read function.
void | grk::set_up_mem_stream (grk_stream *stream, size_t len, bool is_read_stream)
size_t | grk::get_mem_stream_offset (grk_stream *stream)
grk_stream * | grk::create_mem_stream (uint8_t *buf, size_t len, bool ownsBuffer, bool is_read_stream)
| Create stream from buffer.